data_seg segment 'data'
	string	db 'Hello World$'
	line db 0
	pos db 0
data_seg ends

code_seg segment 'code'
	assume cs: code_seg, ds: data_seg

start:	
	mov ax , data_seg
	mov ds, ax        ; DS mit Daten - Segment initialisieren

	mov ah, 03h       ; Position abfragen
	mov bh, 0h        ; Bildschirmseite festlegen
	int 10h
	mov line, dh      ; oder: mov si, dx
	mov pos, dl       ; "

	mov bp, offset string ; basepointer auf 1. zeichen von string
	mov cx, 01h        ; Zeichenwiederholungen = 1

ausgabe:
	cmp byte ptr [bp], '$'
	je exit

	mov ah, 02h        ; Cursorposition setzen
	mov dh, [line]     ; oder: mov dx, si
	mov dl, [pos]      ; "
	int 10h

	mov ah , 0ah       ; Zeichenausgabe
	mov al , [bp]
	int 10h            ; Auf BS anzeigen über DOS - Fnkt. 02h
	inc bp             ; naechstes Zeichen
	inc [pos]          ; oder: inc si
	jmp ausgabe

exit:
	mov ah, 08h        ; Tastaturabfrage
keywait:
	int 21h
	cmp al, 0dh
	jne keywait

	mov ax , 04c00h
	int 21h            ; Programm beenden
code_seg ends
	end start 
